> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/v13.0.0/classes/identityauthorizations.md).

# IdentityAuthorizations

Handles all Identity Authorization related functionality

## Hierarchy

↳ [Authorizations](/polymesh-sdk-api-reference/v13.0.0/classes/authorizations.md)‹[Identity](/polymesh-sdk-api-reference/v13.0.0/classes/identity.md)›

↳ **IdentityAuthorizations**

## Index

### Properties

* [context](#protected-context)
* [parent](#protected-parent)

### Methods

* [getOne](#getone)
* [getReceived](#getreceived)
* [getSent](#getsent)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/v13.0.0/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/Namespace.ts#L11)

***

### `Protected` parent

• **parent**: [*Identity*](/polymesh-sdk-api-reference/v13.0.0/classes/identity.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/Namespace.ts#L9)

## Methods

### getOne

▸ **getOne**(`args`: object): *Promise‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*›*

*Inherited from* [*Authorizations*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizations.md)*.*[*getOne*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizations.md#getone)

*Defined in* [*src/api/entities/common/namespaces/Authorizations.ts:65*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/common/namespaces/Authorizations.ts#L65)

Retrieve a single Authorization Request targeting this Signer by its ID

**`throws`** if there is no Authorization Request with the passed ID targeting this Signer

**Parameters:**

▪ **args**: *object*

| Name | Type      |
| ---- | --------- |
| `id` | BigNumber |

**Returns:** *Promise‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*›*

***

### getReceived

▸ **getReceived**(`opts?`: undefined | object): *Promise‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*\[]›*

*Inherited from* [*Authorizations*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizations.md)*.*[*getReceived*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizations.md#getreceived)

*Defined in* [*src/api/entities/common/namespaces/Authorizations.ts:29*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/common/namespaces/Authorizations.ts#L29)

Fetch all pending Authorization Requests for which this Signer is the target

**Parameters:**

| Name    | Type                |
| ------- | ------------------- |
| `opts?` | undefined \| object |

**Returns:** *Promise‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*\[]›*

***

### getSent

▸ **getSent**(`paginationOpts?`: [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/paginationoptions.md)): *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/resultset.md)*‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*››*

*Defined in* [*src/api/entities/Identity/IdentityAuthorizations.ts:16*](https://github.com/PolymathNetwork/polymesh-sdk/blob/108d588b/src/api/entities/Identity/IdentityAuthorizations.ts#L16)

Fetch all pending authorization requests issued by this Identity

**`note`** supports pagination

**Parameters:**

| Name              | Type                                                                                                                    |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `paginationOpts?` | [PaginationOptions](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/paginationoptions.md) |

**Returns:** *Promise‹*[*ResultSet*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v13/docs/interfaces/resultset.md)*‹*[*AuthorizationRequest*](/polymesh-sdk-api-reference/v13.0.0/classes/authorizationrequest.md)*››*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/v13.0.0/classes/identityauthorizations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
